# osgstereoimage.cpp File Reference

`#include <osgProducer/Viewer>`
`#include <osgDB/ReadFile>`
`#include <osgDB/WriteFile>`
`#include <osgUtil/Optimizer>`
`#include <osg/Geode>`
`#include <osg/Notify>`
`#include <osg/MatrixTransform>`
`#include <osg/Switch>`
`#include <osg/TexMat>`
`#include <osg/Texture2D>`

Include dependency graph for osgstereoimage.cpp:

## Typedefs

typedef std::vector< std::string > | FileList

## Functions

osg::Geode * | createSectorForImage (osg::Image *image, osg::TexMat *texmat, float s, float t, float radius, float height, float length)
osg::Switch * | createScene (const FileList &fileList, osg::TexMat *texmatLeft, osg::TexMat *texmatRight, float radius, float height, float length)
int | main (int argc, char **argv)

## Typedef Documentation

typedef std::vector<std::string> FileList

## Function Documentation

osg::Switch* createScene | ( | const FileList & | fileList,
|  | osg::TexMat * | texmatLeft,
|  | osg::TexMat * | texmatRight,
|  | float | radius,
|  | float | height,
|  | float | length
| ) |

osg::Geode* createSectorForImage | ( | osg::Image * | image,
|  | osg::TexMat * | texmat,
|  | float | s,
|  | float | t,
|  | float | radius,
|  | float | height,
|  | float | length
| ) |

int main | ( | int | argc,
|  | char ** | argv
| ) |